﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using Telerik.Web.UI;

public partial class LOD_Repeater : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		if (!IsPostBack)
		{
			ArrayList customers = new ArrayList();
			customers.Add(new CustomerData(1, "Customer 1", "Middle", 6));
			customers.Add(new CustomerData(2, "Customer 2", "Eastern", 1));
			customers.Add(new CustomerData(3, "Customer 3", "Western", 2));

			Repeater1.DataSource = customers;
			Repeater1.DataBind();

		}

    }

	protected void Repeater1_ItemDataBound(object sender, RepeaterItemEventArgs e)
	{
		if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
		{
			CustomerData data = e.Item.DataItem as CustomerData;
			RadComboBoxItem item = new RadComboBoxItem(data.Region, data.RegionID.ToString());

			((RadComboBox)e.Item.FindControl("PositionRCB")).Items.Add(item);
			item.Selected = true;
			
		}

	}
	public class CustomerData
	{
		private int id;

		public int Id
		{
			get { return id; }
			set { id = value; }
		}
		private string name;

		public string Name
		{
			get { return name; }
			set { name = value; }
		}
		private string region;

		public string Region
		{
			get { return region; }
			set { region = value; }
		}

		private int regionID;

		public int RegionID
		{
			get { return regionID; }
			set { regionID = value; }
		}

		public CustomerData(int _id, string _name, string _region, int _regionID)
		{
			id = _id;
			name = _name;
			region = _region;
			regionID = _regionID;
		}

		
	}

}