﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Repeater.aspx.cs" Inherits="LOD_Repeater" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="ScriptManager" runat="server" />
        <asp:Repeater ID="Repeater1" runat="server" OnItemDataBound="Repeater1_ItemDataBound" >
            <HeaderTemplate>
                <table border="1" cellpadding="4" cellspacing="0">
                    <tr>
                        <th>
                            Customer
                        </th>
                        <th>
                            Region
                        </th>
                    </tr>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td>
                        <%# DataBinder.Eval(Container.DataItem, "Name") %>
                    </td>
                    <td>
                        <telerik:RadComboBox ID="PositionRCB" runat="server" 
                            DataSourceID="SqlDataSource1" 
                            DataTextField="RegionDescription" 
                            DataValueField="RegionID"                           
                            Width="125px" 
                            ShowToggleImage="True" 
                            EnableAutomaticLoadOnDemand="True"
                            ItemsPerRequest="15">
                        </telerik:RadComboBox>
                    </td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
    </div>        <%--Filter="Contains" MarkFirstMatch="True"--%>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString2 %>"
        ProviderName="<%$ ConnectionStrings:NorthwindConnectionString2.ProviderName %>"
        SelectCommand="SELECT [RegionID], [RegionDescription] FROM [Region]" >
       
    </asp:SqlDataSource>
    </form>
</body>
</html>
